/*
                        IV Save Options Dialogs
 */

#ifndef SAVEOPTS_H
#define SAVEOPTS_H

#include <gtk/gtk.h>

#ifndef gbool
# define gbool	guchar
#endif


extern gint iv_query_gif_opts(
        GtkWidget *ref_toplevel,
        const gchar *path,
        gbool *interlaced
);
extern gint iv_query_jpeg_opts(
	GtkWidget *ref_toplevel,
	const gchar *path,
	gfloat *quality,	/* Value from 0.0 to 1.0. */
	gbool *save_as_color
);
extern gint iv_query_png_opts(
        GtkWidget *ref_toplevel,
        const gchar *path,
        gint *compression,	/* Value from 0 to 9. */
	gint *format,		/* 0 = B&W  1 = Greyscale
				 * 2 = Greyscale Alpha
				 * 3 = RGB  4 = RGBA
				 */
	gbool *interlaced
);
extern gint iv_query_tga_opts(
        GtkWidget *ref_toplevel,
        const gchar *path,
        gint *format		/* 0 Greyscale
				 * 1 = RGB
				 * 2 = RGBA
                                 */
);


#endif	/* SAVEOPTS_H */
